Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class NamedObjectTreeNode

    java.lang.Object
      com.huguesjohnson.tiamat.TreeNode
          com.huguesjohnson.tiamat.NamedObjectTreeNode

All Implemented Interfaces:
  Storable

public class NamedObjectTreeNode
extends TreeNode

NamedObjectTreeNode - implementation of a TreeNode that stored NamedObjects

Author:
  Hugues Johnson

Field Summary

Fields inherited from class com.huguesjohnson.tiamat.TreeNode
`DEFAULT_PATH_DELIMITER`

Constructor Summary
`NamedObjectTreeNode(NamedObject namedObject)`
`NamedObjectTreeNode(NamedObject namedObject, NamedObjectTreeNode parent)`
`NamedObjectTreeNode(NamedObject namedObject, java.lang.String pathDelimiter)`
`NamedObjectTreeNode(NamedObject namedObject, java.lang.String pathDelimiter, NamedObjectTreeNode parent)`

Method Summary
`java.lang.String` | `getName()`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()` returns a string representation of the object

Methods inherited from class com.huguesjohnson.tiamat.TreeNode
`addChild, getChild, getChildLeafCount, getChildLeaves, getChildNode, getChildNodeCount, getChildren, getObject, getParent, getPath, getPathDelimiter, insertChildNode, isLeaf, isRoot, onDeserialize, removeChildNode, setChild, setChildren, setObject, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedObjectTreeNode

    public NamedObjectTreeNode(NamedObject namedObject)

### NamedObjectTreeNode

    public NamedObjectTreeNode(NamedObject namedObject,
                               java.lang.String pathDelimiter)

### NamedObjectTreeNode

    public NamedObjectTreeNode(NamedObject namedObject,
                               NamedObjectTreeNode parent)

### NamedObjectTreeNode

    public NamedObjectTreeNode(NamedObject namedObject,
                               java.lang.String pathDelimiter,
                               NamedObjectTreeNode parent)

Method Detail

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `TreeNode`

### setName

    public void setName(java.lang.String name)

  Overrides:
    `setName` in class `TreeNode`

### toString

    public java.lang.String toString()

  returns a string representation of the object

  Overrides:
    `toString` in class `TreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD